 /*
 *  Copyright (c) 2005-2008, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 *  WSO2 Inc. licenses this file to you under the Apache License,
 *  Version 2.0 (the "License"); you may not use this file except
 *  in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an
 *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *  KIND, either express or implied.  See the License for the
 *  specific language governing permissions and limitations
 *  under the License.
 *
 */

package org.wso2.esb.services.tos;

/**
 * Data object used by LogAdmin
 */
public class LogConfigData {
    /**
     * log4j.properties file contents
     */
    private String logText;
    /**
     * log4j.rootCategory logger level e.g. DEBUG, INFO in log4j.properties
     */
    private String loggerLevelRoot;
    /**
     * log4j.logger.SERVICE_LOGGER logger level e.g. DEBUG, INFO in log4j.properties
     */
    private String loggerLevelService;
    /**
     * log4j.logger.TRACE_LOGGER logger level e.g. DEBUG, INFO in log4j.properties
     */
    private String loggerLevelTrace;
    
    public String getLogText() {
        return logText;
    }
    
    public void setLogText(String logText) {
        this.logText = logText;
    }
    
    public String getLoggerLevelRoot() {
        return loggerLevelRoot;
    }
    
    public void setLoggerLevelRoot(String loggerLevelRoot) {
        this.loggerLevelRoot = loggerLevelRoot;
    }
    
    public String getLoggerLevelService() {
        return loggerLevelService;
    }
    
    public void setLoggerLevelService(String loggerLevelService) {
        this.loggerLevelService = loggerLevelService;
    }
    
    public String getLoggerLevelTrace() {
        return loggerLevelTrace;
    }
    
    public void setLoggerLevelTrace(String loggerLevelTrace) {
        this.loggerLevelTrace = loggerLevelTrace;
    }
    
    
}
